# -*- coding: utf-8 -*-
# Copyright 2018 ICON Foundation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from unittest import TestCase, main

from iconsdk.utils.validation import is_wallet_address
from iconsdk.wallet.wallet import KeyWallet


class TestWalletCreate(TestCase):

    def test_wallet_create_successfully(self):
        """Case both of each wallets are created successfully without a private key."""
        wallet1 = KeyWallet.create()
        wallet2 = KeyWallet.create()
        self.assertTrue(wallet1.get_address() != wallet2.get_address())
        self.assertTrue(is_wallet_address(wallet1.get_address()))
        self.assertTrue(is_wallet_address(wallet2.get_address()))


if __name__ == "__main__":
    main()
